/**************************************************************************
*   XON_XOFF.HPP - Listing 3
*   Written by Kevin D. Weeks, August 1990
*   Compiles and runs under Borland Turbo C++ and Zortech C++.
*/
#if !defined(XON_XOFF_HPP)
#define XON_XOFF_HPP
#include "serial.hpp"
class Xon_Xoff : public Serial_Comm
{
  public:
    // constructor - just provides a path to the Serial_Comm constructor
            Xon_Xoff(Com_Port port, Baud_Rate baud, Parity par,
                    Stop_Bits stop, Data_Bits data) :
                    Serial_Comm(port, baud, par, stop, data) {};
    // destructor - also empty
            ~Xon_Xoff(void) {};
    // replace Serial_Comm's open and close methods
    Result  open(void);
    void    close(void);
};
#endif
